## kf6-purpose 6.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(Purpose)

find_package(ECM 6.6.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 6.5.0)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(FeatureSummary)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMGenerateQmlTypes)
include(ECMQMLModules)
include(ECMQmlModule)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml Gui Widgets Network Test)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
  find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
  set(HAVE_DBUS ON)
endif()

set(KF_VERSION "6.6.0") # handled by release scripts
set(KF_DEP_VERSION "6.6.0") # handled by release scripts

find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami Notifications KIO Service)

find_package(KAccounts6)

set_package_properties(KAccounts6 PROPERTIES
                       PURPOSE "Needed for YouTube and Nextcloud upload"
                       TYPE OPTIONAL
)
ecm_find_qmlmodule(SSO.OnlineAccounts 0.1)

ecm_find_qmlmodule(org.kde.kquickcontrolsaddons 2.0)
ecm_find_qmlmodule(org.kde.prison 1.0)

ecm_setup_version(${KF_VERSION} VARIABLE_PREFIX PURPOSE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6PurposeConfigVersion.cmake"
                        SOVERSION 6)

ecm_set_disabled_deprecation_versions(
    QT 6.5.0
    KF 5.240
)

add_subdirectory( src )
if (BUILD_TESTING)
    add_subdirectory( autotests )
    add_subdirectory( tests )
endif()

ki18n_install(po)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Purpose")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6PurposeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PurposeConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PurposeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PurposeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6PurposeTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6PurposeTargets.cmake NAMESPACE KF6:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Purpose COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/plugins/kdeconnect/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose6_kdeconnect\")
add_share_plugin(kdeconnectplugin kdeconnectplugin.cpp)

=== src/plugins/twitter/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"purpose6_twitter\")
add_share_plugin(twitterplugin twitterplugin.cpp)
target_link_libraries(twitterplugin KF6::KIOGui)

## kf6-purpose 6.3.0

=== debian/changelog ===
kf6-purpose (6.3.0-1ubuntu2) oracular; urgency=medium

  * Update install so not to conflict with kf5 bin package.

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Jul 2024 00:47:31 +0100

kf6-purpose (6.3.0-1ubuntu1) oracular; urgency=medium

  * Build without optional kaccounts until available for Qt6.

 -- Rik Mills <rikmills@kde.org>  Thu, 27 Jun 2024 10:37:30 +0100

kf6-purpose (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 15:01:10 +0200

kf6-purpose (6.0.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing Breaks+Replaces for libkf6purpose-bin against
    libkf5purpose-bin (Closes: #1072156).

 -- Patrick Franz <deltaone@debian.org>  Wed, 29 May 2024 19:35:19 +0200

kf6-purpose (6.0.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add/update Jonathan Esk-Riddell in upstream signing keys.
  * Build against Qt6.

  [ Patrick Franz ]
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 25 May 2024 11:54:57 +0200

purpose (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:07:10 +0100

purpose (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.107.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:46 +0200

purpose (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:03 +0100

purpose (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:32 +0100

purpose (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:11 +0100

purpose (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:36 +0100

purpose (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:06 +0100

purpose (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:13:14 +0200

purpose (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:41 +0200

purpose (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh lintian overrides.
  * Add missing runtime dependency on qml-module-org-kde-prison.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:10 +0200

purpose (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:07 +0200

purpose (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:48 +0200

purpose (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:45 +0100

purpose (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * Cherry-pick upstream fix for sharing to telegram (Closes: #996683).
  * New upstream release (5.88.0).
  * Drop upstream included patch.
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:43 +0900

purpose (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:05:17 +0900

purpose (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:49 +0900

purpose (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:07:39 +0900

purpose (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:12 +0900



=== debian/control ===
Source: kf6-purpose
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               intltool,
#               libkaccounts6-dev,
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6service-dev (>= 6.3.0~),
               libkirigami-dev (>= 6.3.0~),
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/purpose
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose.git
Rules-Requires-Root: no

# Add qml6-module-sso-onlineaccounts as a dep once package is available
Package: libkf6purpose-bin
Architecture: any
Multi-Arch: same
Depends: qml6-module-org-kde-bluezqt [linux-any],
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-prison,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: kdeconnect,
Description: abstraction to provide and leverage actions of a specific kind, runtime
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose runtime elements.

Package: libkf6purpose-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: abstraction to provide and leverage actions of a specific kind, translations
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose translations.

Package: libkf6purpose-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6coreaddons-dev (>= 6.3.0~),
         libkf6purpose6 (= ${binary:Version}),
         libkf6purposewidgets6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Description: abstraction to provide and leverage actions of a specific kind, devel files
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose development files.

Package: libkf6purpose6
Architecture: any
Multi-Arch: same
Depends: libkf6purpose-data (= ${source:Version}),
         qml6-module-org-kde-kquickcontrolsaddons,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: qml6-module-org-kde-purpose (= ${binary:Version}),
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose library.

Package: libkf6purposewidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6purpose-data (= ${source:Version}),
         qml6-module-org-kde-kquickcontrolsaddons,
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose widgets library.

Package: qml6-module-org-kde-purpose
Architecture: any
Multi-Arch: same
Depends: qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdeconnect,
Description: abstraction to provide and leverage actions of a specific kind, qml bindings
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose Qt Quick QML bindings.

## kf6-purpose 6.6.0

=== debian/changelog ===
kf6-purpose (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:09:12 +0100

kf6-purpose (6.5.0-0ubuntu2) oracular; urgency=medium

  * qml6-module-org-kde-purpose: Demote kdeconnect from recommends to
    suggests. Request by lubuntu-dev.

 -- Rik Mills <rikmills@kde.org>  Sat, 14 Sep 2024 12:59:35 +0100

kf6-purpose (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:25:27 +0100

kf6-purpose (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Fix acc autopkgtest: correct headers names and add
    libKF6PurposeWidgets.so to libs
  * Add again to libkf6purpose-bin some files which do not conflict with
    libkf5purpose-bin

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:36:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,33 @@
 Source: kf6-purpose
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
                intltool,
-#               libkaccounts6-dev,
-               libkf6config-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6kio-dev (>= 6.3.0~),
-               libkf6notifications-dev (>= 6.3.0~),
-               libkf6service-dev (>= 6.3.0~),
-               libkirigami-dev (>= 6.3.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkf6notifications-dev (>= 6.6.0~),
+               libkf6service-dev (>= 6.6.0~),
+               libkirigami-dev (>= 6.6.0~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/purpose
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-purpose
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-purpose
 Rules-Requires-Root: no
 
-# Add qml6-module-sso-onlineaccounts as a dep once package is available
 Package: libkf6purpose-bin
 Architecture: any
 Multi-Arch: same
@@ -65,7 +64,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6coreaddons-dev (>= 6.3.0~),
+Depends: libkf6coreaddons-dev (>= 6.6.0~),
          libkf6purpose6 (= ${binary:Version}),
          libkf6purposewidgets6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
@@ -113,7 +112,7 @@
          qml6-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: kdeconnect,
+Suggests: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, qml bindings
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will

## kf6-purpose 6.9.0

=== debian/changelog ===
kf6-purpose (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)
  * Build with kaccounts again.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:50:18 +0000

kf6-purpose (6.8.0-0ubuntu3) plucky; urgency=medium

  * Revert using dh_qmldeps so we do not depend on kdeconnect.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Dec 2024 14:38:17 +0000

kf6-purpose (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 13:58:20 +0000

kf6-purpose (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:39:48 +0000

kf6-purpose (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.
  * Remove not needed depdendecy on qml6-module-org-kde-
    kquickcontrolsaddons.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 20:55:40 +0100

kf6-purpose (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:15:04 +0200

kf6-purpose (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * Fix the 'acc' autopkgtest:
    - set -std=c++17, needed when using Qt 6
    - fix the paths with headers
  * CI: update/simplify configuration.
  * Drop extra whitespaces in changelog.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Aug 2024 06:14:03 +0200

kf6-purpose (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Drop optional dependency on kaccounts for now, until it’s available in
    unstable too.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:12 +0200

kf6-purpose (6.4.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Make the versioned Breaks/Replaces against the correct version of the KF6
    package.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 30 Jul 2024 11:50:13 +0200

kf6-purpose (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.4.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:25:03 +0200

kf6-purpose (6.3.0-4) experimental; urgency=medium

  [ Scarlett Moore ]
  * Add back breaks/replace as the conflict is acually on the
    service files.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 17 Jul 2024 16:21:09 -0700

kf6-purpose (6.3.0-3) experimental; urgency=medium

  [ Scarlett Moore ]
  * Add myself to uploaders.
  * Allow co-installability with kf5 bin package by tightening
    the install file to only install the renamed {icon}6 files
    and removing the breaks/replace.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 17 Jul 2024 07:31:59 -0700

kf6-purpose (6.3.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Only Breaks / Replaces against the versions of libkf5purpose-bin that
    actually conflict with libkf6purpose-bin.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 10 Jul 2024 22:33:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,25 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
+           Scarlett Moore <sgmoore@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                gettext,
                intltool,
-               libkf6config-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6kio-dev (>= 6.6.0~),
-               libkf6notifications-dev (>= 6.6.0~),
-               libkf6service-dev (>= 6.6.0~),
-               libkirigami-dev (>= 6.6.0~),
+               libkaccounts6-dev,
+               libkf6config-dev (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
+               libkf6kio-dev (>= 6.9.0~),
+               libkf6notifications-dev (>= 6.9.0~),
+               libkf6service-dev (>= 6.9.0~),
+               libkirigami-dev (>= 6.9.0~),
                pkgconf,
+               qml6-module-org-kde-bluezqt (>= 6.9.0~),
+               qml6-module-org-kde-prison (>= 6.9.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
@@ -31,12 +35,16 @@
 Package: libkf6purpose-bin
 Architecture: any
 Multi-Arch: same
-Depends: qml6-module-org-kde-bluezqt [linux-any],
-         qml6-module-org-kde-kcmutils,
+Depends: qml6-module-org-kde-bluezqt,
          qml6-module-org-kde-kirigami,
          qml6-module-org-kde-prison,
+         qml6-module-qtquick,
+         qml6-module-qtquick-controls,
+         qml6-module-qtquick-dialogs,
+         qml6-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends},
+Recommends: qml6-module-org-kde-purpose
 Suggests: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, runtime
  Purpose offers the possibility to create integrate services and actions on
@@ -64,9 +72,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6coreaddons-dev (>= 6.6.0~),
+Depends: libkf6coreaddons-dev (>= 6.9.0~),
          libkf6purpose6 (= ${binary:Version}),
          libkf6purposewidgets6 (= ${binary:Version}),
+         qml6-module-org-kde-purpose (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Description: abstraction to provide and leverage actions of a specific kind, devel files
@@ -106,7 +115,8 @@
 Package: qml6-module-org-kde-purpose
 Architecture: any
 Multi-Arch: same
-Depends: qml6-module-qtquick,
+Depends: qml6-module-org-kde-kirigami,
+         qml6-module-qtquick,
          qml6-module-qtquick-controls,
          qml6-module-qtquick-dialogs,
          qml6-module-qtquick-layouts,

## kf6-purpose 6.10.0

=== debian/changelog ===
kf6-purpose (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:28:30 +0100

kf6-purpose (6.8.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files (Closes: #1090240).
  * Update build-dependencies with missing QML modules.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 16 Dec 2024 19:26:48 +0100

kf6-purpose (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Reenable kaccounts integration.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:47:49 +0100

kf6-purpose (6.7.0-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 6.6.0-2, 6.6.0-3, and 6.6.0-4.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Nov 2024 08:08:38 +0100

kf6-purpose (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:28 -0600

kf6-purpose (6.6.0-4) unstable; urgency=medium

  * Team upload.
  * Limit the qml6-module-org-kde-bluezqt build dependency to Linux
    architectures only, as bluez (and thus bluez-qt) exists only on Linux.
  * Drop trailing whitespaces in changelog.

 -- Pino Toscano <pino@debian.org>  Wed, 27 Nov 2024 08:14:26 +0100

kf6-purpose (6.6.0-3) unstable; urgency=medium

  * Team upload.
  * Mark qml6-module-org-kde-kdeconnect as recommended dependency, as it
    does not exists in sid (#1087840).
  * Mark qml6-module-org-kde-purpose as recommended for
    libkf6purpose-bin to stop circular dependency.

 -- Sandro Knauß <hefee@debian.org>  Wed, 20 Nov 2024 21:13:01 +0100

=== debian/control ===
Source: kf6-purpose
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               intltool,
               libkaccounts6-dev,
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.9.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               pkgconf,
               qml6-module-org-kde-bluezqt [linux-any],
               qml6-module-org-kde-prison,
               qml6-module-sso-onlineaccounts,
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-declarative-private-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/purpose
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose.git
Rules-Requires-Root: no

Package: libkf6purpose-bin
Architecture: any
Multi-Arch: same
Breaks: libkf5purpose-bin (<< 5.115.0-3~),
Replaces: libkf5purpose-bin (<< 5.115.0-3~),
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: qml6-module-org-kde-kdeconnect, qml6-module-org-kde-purpose,
Suggests: kdeconnect,
Description: abstraction to provide and leverage actions of a specific kind, runtime
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose runtime elements.

Package: libkf6purpose-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: abstraction to provide and leverage actions of a specific kind, translations
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose translations.

Package: libkf6purpose-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6coreaddons-dev (>= 6.10.0~),
         libkf6purpose6 (= ${binary:Version}),
         libkf6purposewidgets6 (= ${binary:Version}),
         qml6-module-org-kde-purpose (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0~),
         ${misc:Depends},
Description: abstraction to provide and leverage actions of a specific kind, devel files
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose development files.

Package: libkf6purpose6
Architecture: any
Multi-Arch: same
Depends: libkf6purpose-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: qml6-module-org-kde-purpose (= ${binary:Version}),
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose library.

Package: libkf6purposewidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6purpose-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose widgets library.

Package: qml6-module-org-kde-purpose
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: kdeconnect,
Description: abstraction to provide and leverage actions of a specific kind, qml bindings
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose Qt Quick QML bindings.

## kf6-purpose 6.11.0

=== debian/changelog ===
kf6-purpose (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:25:26 +0100

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,18 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                gettext,
                intltool,
                libkaccounts6-dev,
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
                libkf6kcmutils-dev (>= 6.9.0~),
-               libkf6kio-dev (>= 6.10.0~),
-               libkf6notifications-dev (>= 6.10.0~),
-               libkf6service-dev (>= 6.10.0~),
-               libkirigami-dev (>= 6.10.0~),
+               libkf6kio-dev (>= 6.11.0~),
+               libkf6notifications-dev (>= 6.11.0~),
+               libkf6service-dev (>= 6.11.0~),
+               libkirigami-dev (>= 6.11.0~),
                pkgconf,
                qml6-module-org-kde-bluezqt [linux-any],
                qml6-module-org-kde-prison,
@@ -69,7 +69,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6coreaddons-dev (>= 6.10.0~),
+Depends: libkf6coreaddons-dev (>= 6.11.0~),
          libkf6purpose6 (= ${binary:Version}),
          libkf6purposewidgets6 (= ${binary:Version}),
          qml6-module-org-kde-purpose (= ${binary:Version}),

## kf6-purpose 6.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 project(Purpose)
 
-find_package(ECM 6.6.0 REQUIRED NO_MODULE)
+find_package(ECM 6.12.0 REQUIRED NO_MODULE)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-set(REQUIRED_QT_VERSION 6.5.0)
+set(REQUIRED_QT_VERSION 6.6.0)
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
@@ -40,8 +40,8 @@
   set(HAVE_DBUS ON)
 endif()
 
-set(KF_VERSION "6.6.0") # handled by release scripts
-set(KF_DEP_VERSION "6.6.0") # handled by release scripts
+set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_DEP_VERSION "6.12.0") # handled by release scripts
 
 find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami Notifications KIO Service)
 
@@ -62,8 +62,8 @@
                         SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.5.0
-    KF 5.240
+    QT 6.8.0
+    KF 6.11.0
 )
 
 add_subdirectory( src )

=== src/CMakeLists.txt ===
set(PURPOSE_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR_KF}/Purpose")

qt_add_resources(purpose_SRCS standard-plugin-types.qrc)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake-paths.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/cmake-paths.h)

ecm_qt_declare_logging_category(external_process_debug_SRCS
    HEADER purpose_external_process_debug.h
    IDENTIFIER PURPOSE_EXTERNAL_PROCESS_LOG
    CATEGORY_NAME kf.purpose.externalprocess
    OLD_CATEGORY_NAMES kf5.purpose.externalprocess
    DESCRIPTION "purpose external process"
    EXPORT PURPOSE
)

add_library(KF6Purpose)
add_library(KF6::Purpose ALIAS KF6Purpose)

qt_extract_metatypes(KF6Purpose)

set_target_properties(KF6Purpose PROPERTIES
    VERSION     ${PURPOSE_VERSION}
    SOVERSION   ${PURPOSE_SOVERSION}
    EXPORT_NAME Purpose
)

target_sources(KF6Purpose PRIVATE
    ${external_process_debug_SRCS}
    pluginbase.cpp
    job.cpp
    alternativesmodel.cpp
    configuration.cpp
    helper.cpp
    externalprocess/processjob.cpp
    jobcontroller.cpp
    ${purpose_SRCS}
)

target_include_directories(KF6Purpose
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
        "$<BUILD_INTERFACE:${Purpose_BINARY_DIR}>"
    INTERFACE
        "$<INSTALL_INTERFACE:${PURPOSE_INSTALL_INCLUDEDIR}>"
)
target_link_libraries(KF6Purpose
    PUBLIC
        KF6::CoreAddons
        Qt6::Gui
    PRIVATE
        Qt6::Network #QLocalSocket
        KF6::ConfigCore
)

if (HAVE_DBUS)
    target_link_libraries(KF6Purpose
        PRIVATE
        Qt6::DBus
    )
    target_compile_definitions(KF6Purpose PRIVATE -DHAVE_QTDBUS=1)
else()
    target_compile_definitions(KF6Purpose PRIVATE -DHAVE_QTDBUS=0)
endif()

install(TARGETS KF6Purpose EXPORT KF6PurposeTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_export_header(KF6Purpose
    EXPORT_FILE_NAME ${Purpose_BINARY_DIR}/purpose/purpose_export.h
    BASE_NAME Purpose
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
)

ecm_generate_headers(Purpose_CamelCase_HEADERS
    HEADER_NAMES
        PluginBase
        AlternativesModel
        Job
        Configuration
    REQUIRED_HEADERS Purpose_HEADERS
    PREFIX Purpose
)

install(
    FILES ${Purpose_CamelCase_HEADERS}
    DESTINATION ${PURPOSE_INSTALL_INCLUDEDIR}/Purpose # C++ namespace
    COMPONENT Devel
)
install(
    FILES
        ${Purpose_BINARY_DIR}/purpose/purpose_export.h
        ${Purpose_HEADERS}
    DESTINATION ${PURPOSE_INSTALL_INCLUDEDIR}/purpose # C++ namespace
    COMPONENT Devel
)

add_executable(purposeprocess externalprocess/purposeprocess_main.cpp helper.cpp ${external_process_debug_SRCS})
ecm_mark_nongui_executable(purposeprocess)
target_link_libraries(purposeprocess KF6::Purpose Qt6::Network Qt6::Widgets)
install(TARGETS purposeprocess DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF})

add_subdirectory(plugins)
add_subdirectory(quick)
add_subdirectory(widgets)
add_subdirectory(fileitemactionplugin)

ecm_qt_install_logging_categories(
    EXPORT PURPOSE
    FILE purpose.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== debian/changelog ===
kf6-purpose (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:56:08 +0000

kf6-purpose (6.11.0-0ubuntu3) plucky; urgency=medium

  * Move to ${qml6:Depends} for QML 6 package dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 16 Feb 2025 21:03:45 -0600

kf6-purpose (6.11.0-0ubuntu2) plucky; urgency=high

  * Sync changes from debian/6.10.0-1

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Feb 2025 15:10:06 +0000

kf6-purpose (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:51:09 +0000

kf6-purpose (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Update runtime depends.
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:22:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,47 +1,45 @@
 Source: kf6-purpose
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
                gettext,
                intltool,
                libkaccounts6-dev,
-               libkf6config-dev (>= 6.11.0~),
-               libkf6coreaddons-dev (>= 6.11.0~),
-               libkf6i18n-dev (>= 6.11.0~),
-               libkf6kcmutils-dev (>= 6.9.0~),
-               libkf6kio-dev (>= 6.11.0~),
-               libkf6notifications-dev (>= 6.11.0~),
-               libkf6service-dev (>= 6.11.0~),
-               libkirigami-dev (>= 6.11.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
+               libkf6kio-dev (>= 6.12.0~),
+               libkf6notifications-dev (>= 6.12.0~),
+               libkf6service-dev (>= 6.12.0~),
+               libkirigami-dev (>= 6.12.0~),
                pkgconf,
-               qml6-module-org-kde-bluezqt [linux-any],
-               qml6-module-org-kde-prison,
+               qml6-module-org-kde-bluezqt (>= 6.12.0~),
+               qml6-module-org-kde-kquickcontrolsaddons (>= 6.12.0~),
+               qml6-module-org-kde-prison (>= 6.12.0~),
                qml6-module-sso-onlineaccounts,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
-               qt6-declarative-private-dev,
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/purpose
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-purpose.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-purpose
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-purpose
 Rules-Requires-Root: no
 
 Package: libkf6purpose-bin
 Architecture: any
 Multi-Arch: same
-Breaks: libkf5purpose-bin (<< 5.115.0-3~),
-Replaces: libkf5purpose-bin (<< 5.115.0-3~),
 Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Recommends: qml6-module-org-kde-kdeconnect, qml6-module-org-kde-purpose,
+Recommends: qml6-module-org-kde-purpose,
 Suggests: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, runtime
  Purpose offers the possibility to create integrate services and actions on
@@ -69,11 +67,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6coreaddons-dev (>= 6.11.0~),
+Depends: libkf6coreaddons-dev (>= 6.12.0~),
          libkf6purpose6 (= ${binary:Version}),
          libkf6purposewidgets6 (= ${binary:Version}),
          qml6-module-org-kde-purpose (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Description: abstraction to provide and leverage actions of a specific kind, devel files
  Purpose offers the possibility to create integrate services and actions on
@@ -89,6 +87,7 @@
 Multi-Arch: same
 Depends: libkf6purpose-data (= ${source:Version}),
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Recommends: qml6-module-org-kde-purpose (= ${binary:Version}),
 Description: library for abstractions to get the developer's purposes fulfilled
@@ -101,6 +100,7 @@
 Multi-Arch: same
 Depends: libkf6purpose-data (= ${source:Version}),
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Description: library for abstractions to get the developer's purposes fulfilled
  Framework for providing abstractions to get the developer's purposes fulfilled.
@@ -111,7 +111,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Recommends: kdeconnect,
+Suggests: kdeconnect,
 Description: abstraction to provide and leverage actions of a specific kind, qml bindings
  Purpose offers the possibility to create integrate services and actions on
  any application without having to implement them specifically. Purpose will
